*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
:root{
    --color-gray-dark: rgb(46, 46, 46);
    --color-gray-light: rgb(245, 244, 244);
    --color-light: rgba(0, 0, 255, 0.3);
    --color-tint: rgba(0, 0, 255, 0.05);
    --color-dark: rgba(0, 0, 255, 0.4);
    --primary: rgb(115, 108, 237);
    --primary-hover: rgb(99, 91, 236);
}

a{
    text-decoration: none;
}
button{
    border: none;
    cursor: pointer;

}

nav{
    z-index: 10;
    background: rgb(115, 108, 237);
    width: 100%;
    height: 3rem;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

nav a{
    color: white !important;
    text-decoration: none;
}

nav a:hover{
    text-decoration: underline;
}

.logo{
    line-height: 50px;

}



main{
    height: 100vh;
    display: grid;
    place-content: center;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    background-color: rgb(67, 66, 66);
    background-repeat: no-repeat;
    background-blend-mode:multiply;
    background-image: url("https://images.unsplash.com/photo-1504328345606-18bbc8c9d7d1?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D");
    color: white;
}

h1{
    text-align: center;
    margin-top: 5rem;
    font-size: 4rem;
}

h2{
    font-size: 2.5rem;
}

.description{
    text-align: center;
    margin: 1.5rem;
    font-size: 1.3rem;
    text-decoration: solid;
    line-height: 1.5;
    color: rgb(196, 196, 196);

}

.login__btn{
    height: 3rem;
    min-width: 10rem;
    background: none;
    border: 1px solid white;
    color: white;
    font-size: 1rem;
    transition: all 0.1s ease;
    border-radius: 5px;

}

.login__btn:hover{
    filter: drop-shadow(0px 5px 5px rgb(255 255 255 / .7));
}

.register__btn{
    height: 3rem;
    min-width: 10rem;
    background-color: white;
    color: rgb(115, 108, 237);
    font-size: 1rem;
    transition: all .1s linear;
    border-radius: 5px;
}

.register__btn:hover{
    background-color: rgb(115, 108, 237);
    color: white;
}

.cards{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 400px;
    padding: 3rem;
    gap: 3rem;
}
.card{
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 1rem;
    transition: all 0.5s ease;
    padding: 2rem;
    background: rgba(117, 116, 116, 0.146);
    backdrop-filter: blur(20px);

}
.card:hover{
    background: rgba(179, 179, 179, 0.146);
}

.card__header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
}
.card__body{
    text-align: left;
    line-height: 1.5;
    color: rgb(190, 190, 190);
    margin-bottom: 1rem;
}
.card__button__group{
    position: fixed;
    bottom: 1rem;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

.home__links{
    color: inherit;
}
.home__links:hover{
    text-decoration: underline;
}

form{
    display: grid;
    gap: 1rem;
    padding: 1rem;

}
form p{
    display: inline-block;
    margin-bottom: 5px;
}

input:not([type="checkbox"]),select{
    height: 4rem;
    width: 100%;
    padding: 1rem;
    border: none;
    outline: none;
    background-color: var(--color-gray-light);
    border-radius: .5rem;
    font-size: 1.2rem;
    transition: all 0.1s ease-in-out;
}
input:focus{
    outline: none;
    background-color: rgb(66 66 66 / .2);
}



input[type="checkbox"]{
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
}

input[type="checkbox"]:checked{
    background-color: var(--color-primary);
}

.save{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    background-color: var(--primary);
    color: white;
    width: 100%;
    font-size: 1.1rem;
    min-height: 2.5rem;
    height: 3.5rem;
    border-radius: .5rem;
    transition: all .1s ease;
    margin-top: 1rem;
}
.save:active{
    outline: 1.5px solid var(--primary);
    outline-offset: 2px;
}
.save:hover{
    background-color: var(--primary-hover);
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 20px 0 #fff, -20px 0 #fff;
    position: relative;
    animation: flash 0.5s ease-out infinite alternate;
  }

  @keyframes flash {
    0% {
      background-color: #FFF2;
      box-shadow: 32px 0 #FFF2, -32px 0 #FFF;
    }
    50% {
      background-color: #FFF;
      box-shadow: 32px 0 #FFF2, -32px 0 #FFF2;
    }
    100% {
      background-color: #FFF2;
      box-shadow: 32px 0 #FFF, -32px 0 #FFF2;
    }
  }


/* Tablets */
@media screen and (max-width: 800px) {
    main{
        height: 100%;
        padding: 2rem;
        background-image: url('https://images.unsplash.com/photo-1582647509711-c8aa8a8bda71?q=80&w=1470&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D');
    }
    .description{
        display: none;
    }
    .action-links{
        display: flex;
        gap: .5rem;
        margin-top: 3rem;
    }
    .description{
        text-wrap: wrap;
    }
    .cards{
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    .card{
        height: 250px;
    }


}

/* Smart Phones */
@media screen and (max-width: 480px) {
    .action-links a{
        width: 100%;
        text-decoration: none;
    }
    h1{
        font-size: 2rem;
        text-wrap: wrap;
        padding: 1.5rem;
    }
    main{
        height: 100%;
        padding: 2rem;
        background-image: url('https://images.unsplash.com/photo-1582647509711-c8aa8a8bda71?q=80&w=1470&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D');
    }
    .description{
        display: none;
    }
    .action-links{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        gap: 2rem;
        margin-top: 5rem;
    }
    .action-links button{
        height: 4.1662rem;
        width: 100%;
        font-size: 1.5rem;
    }
    .register__btn{
        background: none;
    }
    .cards{
        display: flex;
        flex-direction: column;
    }
    .card__button__group{
        padding: 1rem;
        bottom: 0;
    }
}
